#include <iostream>
#include <vector>
const long long M = 300000;
int main() {
    std::cin.tie(0);
    std::cout.tie(0);
    std::cin.sync_with_stdio(false);
    long long t, n, m, i;
    std::cin >> t;
    std::vector<long long> x(M);
    long long ans;
    while(t--) {
        std::cin >> n >> m;
        for(i = 0; i < m; ++i) {
            std::cin >> x[i];
        }
        if(m >= n) {
            if((m - n) % 2) {
                ans = x.front() * (n - 1);
            } else {
                ans = x.front() * n;
            }
        } else {
            ans = x.front() * m;
        }
        std::cout << ans << '\n';
    }
}